## coercer 2.4.3

=== Makefile ===
.PHONY : all clean build upload

all: install clean

clean:
	@rm -rf `find ./ -type d -name "*__pycache__"`
	@rm -rf ./build/ ./dist/ ./coercer.egg-info/

docs:
	@python3 -m pip install pdoc --break-system-packages
	@echo "[$(shell date)] Generating docs ..."
	@PDOC_ALLOW_EXEC=1 python3 -m pdoc -d markdown -o ./documentation/ ./coercer/
	@echo "[$(shell date)] Done!"

install: build
	pip install . --break-system-packages

build:
	python3 -m pip uninstall coercer --yes --break-system-packages
	pip install .[build] --break-system-packages
	python3 -m build --wheel

upload: build
	pip install .[twine] --break-system-packages
	twine upload dist/*

=== debian/changelog ===
coercer (2.4.3-0kali2) kali-dev; urgency=medium

  * Drop 'Rules-Requires-Root: no' from d/control
  * Fix setuptools import statement
  * Build-Depends += python3-setuptools

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 17 Oct 2025 21:26:15 +0700

coercer (2.4.3-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Caster <caster@exploit.org>  Thu, 14 Mar 2024 22:11:04 +0500

=== debian/control ===
Source: coercer
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Caster <caster@exploit.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-impacket,
 python3-jinja2,
 python3-poetry-core,
 python3-setuptools,
 python3-xlsxwriter,
Standards-Version: 4.6.2
Homepage: https://github.com/p0dalirius/Coercer
Vcs-Browser: https://gitlab.com/kalilinux/packages/coercer
Vcs-Git: https://gitlab.com/kalilinux/packages/coercer.git

Package: coercer
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: coerce a Windows server to authenticate on an arbitrary machine
 A Python script to automatically coerce a Windows server to authenticate on an
 arbitrary machine through many methods.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = coercer

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: coercer --help

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/coercer-$1\.tar\.gz/ \
  https://github.com/p0dalirius/Coercer/tags .*/v?(\d\S+)\.tar\.gz
